Index: lib/matplotlib/colors.py
===================================================================
--- lib/matplotlib/colors.py	(revision 8967)
+++ lib/matplotlib/colors.py	(working copy)
@@ -49,6 +49,7 @@
 'chartreuse' are supported.
 """
 import re
+import math
 import numpy as np
 from numpy import ma
 import matplotlib.cbook as cbook
@@ -547,6 +548,8 @@
         if alpha is not None:
             alpha = min(alpha, 1.0) # alpha must be between 0 and 1
             alpha = max(alpha, 0.0)
+            if bytes:
+                alpha = int(math.floor(alpha*255.9999999))
             if (lut[-1] == 0).all():
                 lut[:-1, -1] = alpha
                 # All zeros is taken as a flag for the default bad
